# azure.graphrbac package

## Submodules

- azure.graphrbac.models module
- azure.graphrbac.operations module

## Module contents

class `azure.graphrbac.``GraphRbacManagementClient`(credentials, tenant_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The Graph RBAC Management Client

  Variables:

  - config (GraphRbacManagementClientConfiguration) – Configuration for client.
  - signed_in_user (azure.graphrbac.operations.SignedInUserOperations) – SignedInUser operations
  - applications (azure.graphrbac.operations.ApplicationsOperations) – Applications operations
  - deleted_applications (azure.graphrbac.operations.DeletedApplicationsOperations) – DeletedApplications operations
  - groups (azure.graphrbac.operations.GroupsOperations) – Groups operations
  - service_principals (azure.graphrbac.operations.ServicePrincipalsOperations) – ServicePrincipals operations
  - users (azure.graphrbac.operations.UsersOperations) – Users operations
  - objects (azure.graphrbac.operations.ObjectsOperations) – Objects operations
  - domains (azure.graphrbac.operations.DomainsOperations) – Domains operations
  - oauth2_permission_grant (azure.graphrbac.operations.OAuth2PermissionGrantOperations) – OAuth2PermissionGrant operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - tenant_id (str) – The tenant ID.
  - base_url (str) – Service URL